//---------------------------------------------------------------------
//
// FVToolBar.h : Header for the FV Settings Dialog
//
// Part of the FontViewer Utility, which first appeared
// in the May 26, 1998 issue of PC Magazine, U.S. Edition.
// Copyright (C) 1998 by Ziff-Davis, Inc. 
// Programmed by Jake Richter.
//
// The programs presented in PC Magazine can be copied but is copyright.
// You may make copies for others if no charge is involved, but copies
// or using any portion for any commerical purpose is strictly prohibited.
//
// For support, go to http://www.pcmag.com/discuss.htm and select 
// the Utilities area.
//
//---------------------------------------------------------------------

#if !defined(AFX_FVTOOLBAR_H__579135C1_8C58_11D1_B24F_0080ADB29FD7__INCLUDED_)
#define AFX_FVTOOLBAR_H__579135C1_8C58_11D1_B24F_0080ADB29FD7__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// FVToolBar.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CFVToolBar window

class CFVToolBar : public CToolBar
{
// Protected Data Members
protected:

// Public Data Members
public:
   CComboBox   m_stringBox;
   CComboBox   m_ptSizeBox;
   CArray<CString, CString> m_stringBoxStrings; // Our list of combo box strings

// Construction
public:
   CFVToolBar();

// Attributes
public:

// Operations
public:

// Overrides
   // ClassWizard generated virtual function overrides
   //{{AFX_VIRTUAL(CFVToolBar)
   //}}AFX_VIRTUAL

// Implementation
public:
   virtual ~CFVToolBar();

   // Generated message map functions
protected:
   //{{AFX_MSG(CFVToolBar)
   afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
   //}}AFX_MSG

   DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FVTOOLBAR_H__579135C1_8C58_11D1_B24F_0080ADB29FD7__INCLUDED_)
