//---------------------------------------------------------------------
//
// FViewer.h : main header file for the FONTVIEW application
//
// Part of the FontViewer Utility, which first appeared
// in the May 26, 1998 issue of PC Magazine, U.S. Edition.
// Copyright (C) 1998 by Ziff-Davis, Inc. 
// Programmed by Jake Richter.
//
// The programs presented in PC Magazine can be copied but is copyright.
// You may make copies for others if no charge is involved, but copies
// or using any portion for any commerical purpose is strictly prohibited.
//
// For support, go to http://www.pcmag.com/discuss.htm and select 
// the Utilities area.
//
//---------------------------------------------------------------------

#if !defined(AFX_FONTVIEW_H__F0A23B67_8BF4_11D1_B24F_0080ADB29FD7__INCLUDED_)
#define AFX_FONTVIEW_H__F0A23B67_8BF4_11D1_B24F_0080ADB29FD7__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#ifndef __AFXWIN_H__
   #error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"       // main symbols

//
// Global defines
//
#define MAX_TEXT_STRING    62  // Maximum input text string length.
#define MAX_LIST_STRING    24  // Maximum list box string length
#define INI_SECTION        "FontViewer" // Section name in INI file

/////////////////////////////////////////////////////////////////////////////
// CFViewerApp:
// See FViewer.cpp for the implementation of this class
//

class CFViewerApp : public CWinApp
{
public:
   CFViewerApp();

// Overrides
   // ClassWizard generated virtual function overrides
   //{{AFX_VIRTUAL(CFViewerApp)
   public:
   virtual BOOL InitInstance();
   //}}AFX_VIRTUAL

// Implementation

   //{{AFX_MSG(CFViewerApp)
   afx_msg void OnAppAbout();
   afx_msg void OnFilePrintSetup();
   //}}AFX_MSG
   DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FONTVIEW_H__F0A23B67_8BF4_11D1_B24F_0080ADB29FD7__INCLUDED_)
